diff --git a/changelog b/changelog
index 37929d4..dad6010 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20091006 tpd src/axiom-website/patches.html 20091006.04.tpd.patch
+20091006 tpd src/interp/hypertex.lisp cleanup
 20091006 tpd src/axiom-website/patches.html 20091006.03.tpd.patch
 20091006 tpd src/interp/i-analy.lisp cleanup
 20091006 tpd src/axiom-website/patches.html 20091006.02.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 55e56ff..2e8b13f 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2113,5 +2113,7 @@ src/interp/i-coerce.lisp cleanup<br/>
 src/interp/i-code.lisp cleanup<br/>
 <a href="patches/20091006.03.tpd.patch">20091006.03.tpd.patch</a>
 src/interp/i-analy.lisp cleanup<br/>
+<a href="patches/20091006.04.tpd.patch">20091006.04.tpd.patch</a>
+src/interp/hypertex.lisp cleanup<br/>
  </body>
 </html>
diff --git a/src/interp/hypertex.lisp.pamphlet b/src/interp/hypertex.lisp.pamphlet
index 2f184f9..e3325ce 100644
--- a/src/interp/hypertex.lisp.pamphlet
+++ b/src/interp/hypertex.lisp.pamphlet
@@ -14,78 +14,41 @@
 (IN-PACKAGE "BOOT" )
 
 ;-- HyperTex Spad interface
-;SETANDFILEQ($SendEventToHyperTeX, 8)
 
 (SETANDFILEQ |$SendEventToHyperTeX| 8) 
 
-;SETANDFILEQ($LinkToPage, 96)
-
 (SETANDFILEQ |$LinkToPage| 96) 
 
-;SETANDFILEQ($StartPage, 97)
-
 (SETANDFILEQ |$StartPage| 97) 
 
-;SETANDFILEQ($SendLine, 98)
-
 (SETANDFILEQ |$SendLine| 98) 
 
-;SETANDFILEQ($EndOfPage, 99)
-
 (SETANDFILEQ |$EndOfPage| 99)
  
-;SETANDFILEQ($PopUpPage, 95)
-
 (SETANDFILEQ |$PopUpPage| 95)
  
-;SETANDFILEQ($PopUpNamedPage, 94)
-
 (SETANDFILEQ |$PopUpNamedPage| 94) 
 
-;SETANDFILEQ($KillPage, 93)
-
 (SETANDFILEQ |$KillPage| 93) 
 
-;SETANDFILEQ($ReplacePage, 92)
-
 (SETANDFILEQ |$ReplacePage| 92) 
 
-;SETANDFILEQ($ReplaceNamedPage, 91)
-
 (SETANDFILEQ |$ReplaceNamedPage| 91) 
 
-;SETANDFILEQ($SpadError, 90)
-
 (SETANDFILEQ |$SpadError| 90) 
 
-;SETANDFILEQ($PageStuff, 100)
-
 (SETANDFILEQ |$PageStuff| 100) 
 
 ;-- Issue a line of HyperTex
-;issueHT line ==
-;--  unescapeStringsInForm line
-;  sockSendInt($MenuServer, $SendLine)
-;  sockSendString($MenuServer, line)
-
 (DEFUN |issueHT| (|line|)
+ (declare (special |$MenuServer| |$SendLine|))
  (PROGN 
   (|sockSendInt| |$MenuServer| |$SendLine|)
   (|sockSendString| |$MenuServer| |line|))) 
 
-;endHTPage() ==
-;  sockSendInt($MenuServer, $EndOfPage)
-
-(DEFUN |endHTPage| NIL (|sockSendInt| |$MenuServer| |$EndOfPage|)) 
-
-;testPage() ==
-;  startHTPage(50)
-;  issueHT '"\page{TestPage}{Test Page generated from Lisp} "
-;  issueHT '"\horizontalline\beginscroll\beginitems "
-;  issueHT '"\item \downlink{Quayle Jokes}{ChickenPage} \space{2} "
-;  issueHT '"The misadventures of the White House bellboy. "
-;  issueHT '"\enditems\endscroll\autobuttons "
-;  endHTPage()
+(DEFUN |endHTPage| ()
+ (declare (special |$MenuServer| |$EndOfPage|)) 
+ (|sockSendInt| |$MenuServer| |$EndOfPage|)) 
 
 (DEFUN |testPage| ()
  (PROGN 
@@ -98,14 +61,9 @@
   (|endHTPage|))) 
 
 ;-- Replace a current hypertex page
-;replaceNamedHTPage(window, name) ==
-;  sockSendInt($MenuServer, $PageStuff)
-;  sockSendInt($MenuServer, $currentFrameNum)
-;  sockSendInt($MenuServer, $ReplaceNamedPage)
-;  sockSendInt($MenuServer, window)
-;  sockSendString($MenuServer, name)
-
 (DEFUN |replaceNamedHTPage| (|window| |name|)
+ (declare (special |$MenuServer| |$PageStuff| |$currentFrameNum|
+                    |$ReplaceNamedPage|))
  (PROGN 
   (|sockSendInt| |$MenuServer| |$PageStuff|)
   (|sockSendInt| |$MenuServer| |$currentFrameNum|)
@@ -114,14 +72,8 @@
   (|sockSendString| |$MenuServer| |name|))) 
 
 ;-- Start up a form page from spad
-;startHTPopUpPage cols ==
-;  sockSendInt($MenuServer, $PageStuff)
-;  sockSendInt($MenuServer, $currentFrameNum)
-;  sockSendInt($MenuServer, $PopUpPage)
-;  sockSendInt($MenuServer, cols)
-;  sockGetInt($MenuServer)
-
 (DEFUN |startHTPopUpPage| (|cols|)
+ (declare (special |$MenuServer| |$PageStuff| |$currentFrameNum| |$PopUpPage|))
  (PROGN
   (|sockSendInt| |$MenuServer| |$PageStuff|)
   (|sockSendInt| |$MenuServer| |$currentFrameNum|)
@@ -130,13 +82,8 @@
   (|sockGetInt| |$MenuServer|))) 
 
 ;-- Start a page from spad.  Using the spcified number of columns
-;startHTPage cols ==
-;  sockSendInt($MenuServer, $PageStuff)
-;  sockSendInt($MenuServer, $currentFrameNum)
-;  sockSendInt($MenuServer, $StartPage)
-;  sockSendInt($MenuServer, cols)
-
 (DEFUN |startHTPage| (|cols|)
+ (declare (special |$MenuServer| |$PageStuff| |$currentFrameNum| |$StartPage|))
  (PROGN
   (|sockSendInt| |$MenuServer| |$PageStuff|)
   (|sockSendInt| |$MenuServer| |$currentFrameNum|)
@@ -144,13 +91,9 @@
   (|sockSendInt| |$MenuServer| |cols|))) 
 
 ;-- Start a replace page sequence
-;startReplaceHTPage w ==
-;  sockSendInt($MenuServer, $PageStuff)
-;  sockSendInt($MenuServer, $currentFrameNum)
-;  sockSendInt($MenuServer, $ReplacePage)
-;  sockSendInt($MenuServer, w)
-
 (DEFUN |startReplaceHTPage| (|w|)
+ (declare (special |$MenuServer| |$PageStuff| |$currentFrameNum| 
+                   |$ReplacePage|))
  (PROGN
   (|sockSendInt| |$MenuServer| |$PageStuff|)
   (|sockSendInt| |$MenuServer| |$currentFrameNum|)
@@ -158,41 +101,26 @@
   (|sockSendInt| |$MenuServer| |w|))) 
 
 ;-- Kill a page feom scratchpad
-;killHTPage w ==
-;  sockSendInt($MenuServer, $PageStuff)
-;  sockSendInt($MenuServer, $currentFrameNum)
-;  sockSendInt($MenuServer, $KillPage)
-;  sockSendInt($MenuServer, w)
-
 (DEFUN |killHTPage| (|w|)
+ (declare (special |$MenuServer| |$PageStuff| |$currentFrameNum| |$KillPage|))
  (PROGN
   (|sockSendInt| |$MenuServer| |$PageStuff|)
   (|sockSendInt| |$MenuServer| |$currentFrameNum|)
   (|sockSendInt| |$MenuServer| |$KillPage|)
   (|sockSendInt| |$MenuServer| |w|))) 
 
-;linkToHTPage name ==
-;  sockSendInt($MenuServer, $PageStuff)
-;  sockSendInt($MenuServer, $currentFrameNum)
-;  sockSendInt($MenuServer, $LinkToPage)
-;  sockSendString($MenuServer, name)
-
 (DEFUN |linkToHTPage| (|name|)
+ (declare (special |$MenuServer| |$PageStuff| |$currentFrameNum| 
+                   |$LinkToPage|))
  (PROGN
   (|sockSendInt| |$MenuServer| |$PageStuff|)
   (|sockSendInt| |$MenuServer| |$currentFrameNum|)
   (|sockSendInt| |$MenuServer| |$LinkToPage|)
   (|sockSendString| |$MenuServer| |name|))) 
 
-;popUpNamedHTPage(name,cols) ==
-;  sockSendInt($MenuServer, $PageStuff)
-;  sockSendInt($MenuServer, $currentFrameNum)
-;  sockSendInt($MenuServer, $PopUpNamedPage)
-;  sockSendInt($MenuServer, cols)
-;  sockSendString($MenuServer, name)
-;  sockGetInt($MenuServer)
-
 (DEFUN |popUpNamedHTPage| (|name| |cols|)
+ (declare (special |$MenuServer| |$PageStuff| |$currentFrameNum| 
+                   |$PopUpNamedPage|))
  (PROGN 
   (|sockSendInt| |$MenuServer| |$PageStuff|)
   (|sockSendInt| |$MenuServer| |$currentFrameNum|)
@@ -201,10 +129,9 @@
   (|sockSendString| |$MenuServer| |name|)
   (|sockGetInt| |$MenuServer|))) 
 
-;sendHTErrorSignal() ==
-;  sockSendInt($MenuServer, $SpadError)
-
-(DEFUN |sendHTErrorSignal| NIL (|sockSendInt| |$MenuServer| |$SpadError|)) 
+(DEFUN |sendHTErrorSignal| ()
+ (declare (special |$MenuServer| |$SpadError|)) 
+ (|sockSendInt| |$MenuServer| |$SpadError|)) 
 
 @
 \eject
